Bug 206449 - [UPDATE] x11-wm/enlightenment to v0.20.3
Summary: [UPDATE] x11-wm/enlightenment to v0.20.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-enlightenment mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-20 21:38 UTC by hardy.schumacher
Modified: 2016-01-31 15:54 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (enlightenment)


Attachments
svn diff for update of x11-wm/enlightenment to v0.20.3 (879 bytes, patch)
2016-01-20 21:38 UTC, hardy.schumacher
no flags Details | Diff
enlightenment-0.20.3 patch (2.41 KB, patch)
2016-01-31 13:50 UTC, yamayan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hardy.schumacher 2016-01-20 21:38:55 UTC
Created attachment 165890 [details]
svn diff for update of x11-wm/enlightenment to v0.20.3

Update for port x11-wm/enlightenment to v0.20.3 is available.

Following changes are included:
- e randr - fix randr dialog to do restore right again
- Fix xbl_avail variable being used when it could be undefined
- Fix spelling in .pc file
- e_grabinput: do not pass a faulty time
- block input devices from backlight list
- unpopulate all gadcons during shutdown
- add shelf callback for hidden state and trigger extra hide-on-show if hiding
- un-defer comp util object hiding if second hide occurs during animation
- add special case for frame adjustment during first recalc of new clients
- test given coordinates in smart window placement algorithm
- remove wayland function usage from grabinput methods
- simplify and clarify winlist directional selection action code
- check all corners of an object in e_comp_object_util_zone_get()
- disable custom logging when eina backtrace is active
- select mixer popup sink after popup has been fully initialized
- optimize zoomap recalc during recursion
- make ibar config pointer EINTERN
- do full cleanup when overriding existing comp autoclose object
- remove configs for illume modules
- allow NULL object in e_comp_object_util_autoclose()
- improve menu hiding and autoclose
- make E_DESK_TYPE an int define
- enforce border_fix_on_shelf_toggle config option in shelf
- create comp object updates tiler in helper function from either show or damage
- do not unset comp object native surface during shape apply
- unset WM_STATE for x11 clients upon unmapping them
- if available, use wl output (nested) for wayland compositor creation
- use more correct defines for enabling wl output modules during comp init
- automatically attempt to create a wayland x11 output during comp init
- configure.ac: Remove ecore-x from wayland only build.
- Tiling: tile windows with "Static" gravity.
Comment 1 Grzegorz Blach freebsd_committer 2016-01-21 17:10:08 UTC
pkg-plist needs to be fixed.


====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%DATADIR%%/data/config/mobile/module.illume-home.cfg
Error: Missing: %%DATADIR%%/data/config/mobile/module.illume-indicator.cfg
Error: Missing: %%DATADIR%%/data/config/mobile/module.illume-keyboard.cfg
Error: Missing: %%DATADIR%%/data/config/mobile/module.illume-softkey.cfg
Error: Missing: %%DATADIR%%/data/config/mobile/module.illume2.cfg
===> Error: Plist issues found.
Comment 2 yamayan 2016-01-31 13:50:29 UTC
Created attachment 166350 [details]
enlightenment-0.20.3 patch

change Makefile's PORTVERSION to 0.20.3
make makesum
make makeplist > tmp
edit tmp  (replace %%ETCDIR%% and add %%NLS%%, etc)
mv tmp pkg-plist

portmaster
(updata without errors.)

svn diff
Comment 3 commit-hook freebsd_committer 2016-01-31 15:53:45 UTC
A commit references this bug:

Author: gblach
Date: Sun Jan 31 15:53:36 UTC 2016
New revision: 407650
URL: https://svnweb.freebsd.org/changeset/ports/407650

Log:
  Update to 0.20.3

  PR:		206449
  Submitted by:	yamayan <at> kbh.biglobe.ne.jp
  Reviewed by:	gblach

Changes:
  head/x11-wm/enlightenment/Makefile
  head/x11-wm/enlightenment/distinfo
  head/x11-wm/enlightenment/pkg-plist
Comment 4 Grzegorz Blach freebsd_committer 2016-01-31 15:54:03 UTC
Committed, thanks.